# $Id: $

pipidir = $(libdir)/pipi-sharp

pipi_sources = \
	$(srcdir)/AssemblyInfo.cs \
	$(srcdir)/Pipi.cs \
	$(srcdir)/Picture.cs

test_sources = \
	$(srcdir)/test.cs

if USE_CSHARP
pipi_DATA = pipi-sharp.dll pipi-sharp.dll.config
noinst_DATA = test.exe
endif

EXTRA_DIST = $(pipi_sources) $(test_sources) \
	pipi-sharp.pc.in pipi-sharp.dll.config.in

pipi-sharp.dll: $(pipi_sources)
	$(GMCS) -debug -unsafe $(pipi_sources) -out:$@ -target:library

test.exe: $(test_sources) pipi-sharp.dll
	$(GMCS) -debug $(test_sources) -out:$@ -lib:./ \
	  -r:./pipi-sharp.dll

clean-local:
	rm -f *.exe *.dll *.mdb

